#
# spec file for package perl-Module-Refresh
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Module-Refresh
Name:           perl-Module-Refresh
Version:        0.18
Release:        1.6
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Refresh %INC files when updated on disk
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BP/BPS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(Path::Class)
%{perl_requires}

%description
This module is a generalization of the functionality provided by
Apache::StatINC and Apache::Reload. It's designed to make it easy to do
simple iterative development when working in a persistent environment.

It does not require mod_perl.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes

%changelog
* Wed May 18 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.18
  see /usr/share/doc/packages/perl-Module-Refresh/Changes
  0.18 Tue May 10 03:33:29 CST 2022
  * Fix uninitialized warnings when modules were not successfully loaded
* Tue Oct  3 2017 coolo@suse.com
- remove old_test_more.patch - no longer supporting sle11
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Wed Feb 29 2012 ro@suse.de
- add old_test_more.patch to build against sle11
* Fri Nov 18 2011 coolo@suse.com
- update to 0.17
  * Warnings avoidance for reloading a module not in %%INC
  * Updated inc/ and META.yml
  * SIGNATURE file bug
  * No functional changes. Added missing test dependencies. Thanks to JQUELIN & Paul at City Fan
  * Actually remove subroutines from the symbol table, Thanks to DOY.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.13
